<div class="header bg opacity-8 pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body"></div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
  <!-- Table -->
  <div class="row">
    <div class="col">
      <div class="card shadow" style="padding:20px">
    <!--     <div *ngIf="HasDemand">
          <mat-card-header>
            <mat-card-title>Votre Demande  </mat-card-title>
            <mat-card-subtitle><span 
              class="badge badge-primary" >{{DemandeStatut}}</span></mat-card-subtitle>
          </mat-card-header>
          <div class="card-header border-0" >
            <h3 class="mb-0"> </h3>
          </div>

          <div>
            <div class="row">
              <div class="col">
                <h3 class="border border-white">Informations</h3>
                <table>
                  <tr>
                    <td> <span style="font-weight: bold;"> Nom : </span> {{ data.nom }}</td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;"> Prenom : </span>
                      {{ data.prenom }}</td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;">Age :</span> {{ data.age }}</td>
                  </tr>
                  <tr>
                    <td> <span style="font-weight: bold;"> CIN:</span> {{ data.cin }}
                    </td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;">TeL :</span> {{ data.tel }}
                    </td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;">Email :</span>
                      {{ data.Email }}
                    </td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;"> etablisement :</span> {{ data.etablissement }}
                    </td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;"> Nom du luniversitè :</span>
                      {{ data.nom_universite }}
                    </td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;">specialite : </span> {{ data.specialite }}
                    </td>
                  </tr>
                </table>

                <br> <br>
                <h3 class="border border-white">Coordonnées</h3>

                <table>
                  <tr>
                    <td> <span style="font-weight: bold;">
                      Ville:</span> {{ data.ville }}</td>
                  </tr>

                  <tr>
                    <td> <span style="font-weight: bold;">adresse: </span> {{ data.adresse }}</td>
                  </tr>

                  <tr>
                    <td><span style="font-weight: bold;">
                      Code postale :</span> {{ data.codepostal }}</td>
                  </tr>
                </table>

              </div>
              <div class="col">
                <h3 class="border border-white">Le Besoin</h3>

                <table>
                  <tr>
                    <td><span style="font-weight: bold;">Le Besoin : </span> {{ data.besoin }}</td>
                  </tr>

                  <tr>
                    <td><span style="font-weight: bold;">Detail du besoin : </span> {{ data.detail }}</td>
                  </tr>
                </table>
                
              </div>
            </div>
          </div>
        </div>

        <div class="card-footer py-4"></div>
      </div> -->


      <div class="card shadow">
        <div *ngIf="HasDons">
          <div class="card-header border-0">
            <h3 class="mb-0">Vos Dons</h3>
          </div>
          <div style="margin: 20px;">
            <div class="row">
              <div class="card" style="width: 100%; padding: 15px;">
                <div class="card-body">
                  <mat-accordion>
                    <mat-expansion-panel *ngFor="let va of dons">
                      <mat-expansion-panel-header>
                        <mat-panel-title>
                          {{ va.produitName }}
                        </mat-panel-title>
                        <mat-panel-description >
                          <span 
              class="badge badge-primary" >{{va.statut}}</span>
                        </mat-panel-description>
                      </mat-expansion-panel-header>
                      <div class="row">
                        <div class="col">
                          <h5>Informations</h5>
                          Nom : {{ va.nom }} <br />
                          Prenom : {{ va.prenom }} <br />
                          Age :{{ va.age }} <br />
                          CIN: {{ va.cin }} <br />
                          TeL :{{ va.tel }} <br />
                          Email :{{ va.Email }} <br />
                          <br />
                          <h5>Coordonnées</h5>
                          Ville:{{ va.ville }} <br />
                          adresse: {{ va.adresse }} <br />
                          Code postale :{{ va.codepostal }} <br />
                          <br />
                        </div>
                        <div class="col">
                          <h5>Produit</h5>
                          <br />
                          Nom de produit : {{ va.produitName }} <br />
                          Detail : {{ va.decriptionProduit }} <br />
                          Etat : {{ va.etat }} <br />
                          message:{{ va.message }} <br />
                          <br />
                          <span>image produit: </span>
                          <div *ngIf="va.ImageProduct">
                            <img src="{{ 'https://sharek-it.tn/' + va.ImageProduct }}" class="rounded-top"
                            style="width: 150px;" />
                          </div>
                      
                          <br />
                          <span>image pub : </span>
                          <div *ngIf="va.ImagePub">
                            <img src="{{ 'https://sharek-it.tn/' + va.ImagePub }}" class="rounded-top"
                            style="width: 150px;" />
                          </div>
                      
                        </div>
                      </div>
                    </mat-expansion-panel>
                  </mat-accordion>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div *ngIf="!HasDemand && !HasDons" class="text-center">
          <h2>vous avez aucune action jusqu'à présent.</h2>
        </div>
      </div>

    </div>

  </div>
</div>